#
# Logging configuration section
#
# This is not entirely unlike a standard Python logging
# configuration file.
#
# Note that the variable 'config_base' must be defined by
# the includee.
#

[logging]

[[loggers]]

[[[netlogger]]]
# Choices for level are: ERROR, WARN, INFO, DEBUG, TRACE
level=DEBUG
handlers=h1

# Limit messages handled by this logger to messages prefixed with
# "netlogger".  Since this file in included by each nl_parser.conf and
# nl_loader.conf (and writes to separate files defined below) they
# will only ever see messages from their respective programs.
qualname=netlogger

[[handlers]]
[[[h1]]]
class="FileHandler"
args="('${config_base}/var/log/${prog}.log', 'a')"
